boost::logging::rdLogger Class Reference

`#include <RDLog.h>`

## Public Member Functions

| rdLogger (std::ostream *dest, bool owner=false)
void | SetTee (std::ostream &stream)
| Sets a stream to tee the output to. More...
void | ClearTee ()
| Remove our tee if it's set. More...
| ~rdLogger ()

## Public Attributes

std::ostream * | dp_dest
bool | df_owner
bool | df_enabled
RDTee * | tee
RDTeeStream * | teestream

## Detailed Description

Definition at line 28 of file RDLog.h.

## Constructor & Destructor Documentation

## rdLogger()

boost::logging::rdLogger::rdLogger | ( | std::ostream * | dest,
|  | bool | owner = `false`
| ) |  |

inline

Definition at line 36 of file RDLog.h.

## ~rdLogger()

boost::logging::rdLogger::~rdLogger | ( |  | ) |

inline

Definition at line 61 of file RDLog.h.

## Member Function Documentation

## ClearTee()

void boost::logging::rdLogger::ClearTee | ( |  | ) |

inline

Remove our tee if it's set.

Definition at line 53 of file RDLog.h.

## SetTee()

void boost::logging::rdLogger::SetTee | ( | std::ostream & | stream | ) |

inline

Sets a stream to tee the output to.

Definition at line 44 of file RDLog.h.

## Member Data Documentation

## df_enabled

bool boost::logging::rdLogger::df_enabled

Definition at line 31 of file RDLog.h.

## df_owner

bool boost::logging::rdLogger::df_owner

Definition at line 31 of file RDLog.h.

## dp_dest

std::ostream* boost::logging::rdLogger::dp_dest

Definition at line 30 of file RDLog.h.

## tee

RDTee* boost::logging::rdLogger::tee

Definition at line 33 of file RDLog.h.

## teestream

RDTeeStream* boost::logging::rdLogger::teestream

Definition at line 34 of file RDLog.h.

The documentation for this class was generated from the following file:

- RDLog.h